# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Wed Aug  7 13:56:59 2024
# ------------------------------------------------

package:
  name: rpds-py
  version: 0.20.0
source:
  sha256: d72a210824facfdaf8768cf2d7ca25a042c30320b3020de2fa04640920d4e121
  url: https://pypi.io/packages/source/r/rpds-py/rpds_py-0.20.0.tar.gz
build:
  number: '0'
  string: py312hf008fa9_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 h69a702a_16
    - binutils_impl_linux-64 2.40 ha1999f0_7
    - binutils_linux-64 2.40 hb3c18ed_0
    - bzip2 1.0.8 h4bc722e_7
    - ca-certificates 2024.7.4 hbcca054_0
    - cargo-bundle-licenses 2.0.0 h91f3281_0
    - gcc_impl_linux-64 12.4.0 hb2e57f8_0
    - gcc_linux-64 12.4.0 h6b7512a_0
    - kernel-headers_linux-64 3.10.0 h4a8ded7_16
    - ld_impl_linux-64 2.40 hf3520f5_7
    - libgcc-devel_linux-64 12.4.0 ha4f9413_100
    - libgcc-ng 14.1.0 h77fa898_0
    - libgit2 1.7.2 h65212e3_2
    - libgomp 14.1.0 h77fa898_0
    - libsanitizer 12.4.0 h46f95d5_0
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-ng 14.1.0 hc0a3c3a_0
    - libzlib 1.3.1 h4ab18f5_1
    - openssl 3.3.1 h4bc722e_2
    - pcre2 10.43 hcad00b1_0
    - rust 1.79.0 h0a17960_0
    - rust-std-x86_64-unknown-linux-gnu 1.79.0 h2c6d0dc_0
    - rust_linux-64 1.79.0 h2e8eb6f_0
    - sysroot_linux-64 2.17 h4a8ded7_16
    - tzdata 2024a h0c530f3_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h4bc722e_7
    - ca-certificates 2024.7.4 hbcca054_0
    - ld_impl_linux-64 2.40 hf3520f5_7
    - libexpat 2.6.2 h59595ed_0
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 14.1.0 h77fa898_0
    - libgomp 14.1.0 h77fa898_0
    - libnsl 2.0.1 hd590300_0
    - libsqlite 3.46.0 hde9e2c9_0
    - libuuid 2.38.1 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.3.1 h4ab18f5_1
    - maturin 1.7.0 py312h8aaac84_0
    - ncurses 6.5 h59595ed_0
    - openssl 3.3.1 h4bc722e_2
    - pip 24.2 pyhd8ed1ab_0
    - python 3.12.4 h194c7f8_0_cpython
    - python_abi 3.12 4_cp312
    - readline 8.2 h8228510_1
    - setuptools 72.1.0 pyhd8ed1ab_0
    - tk 8.6.13 noxft_h4845f30_101
    - tomli 2.0.1 pyhd8ed1ab_0
    - tzdata 2024a h0c530f3_0
    - wheel 0.44.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - __glibc >=2.17,<3.0.a0
    - libgcc-ng >=12
    - python >=3.12,<3.13.0a0
    - python_abi 3.12.* *_cp312
  run_constrained:
    - __glibc >=2.17
test:
  commands:
    - pip check
    - coverage run --source=rpds -m pytest -vv --tb=long --color=yes
    - coverage report --show-missing --skip-covered --fail-under=100
  imports:
    - rpds
  requires:
    - coverage
    - pip
    - pytest
  source_files:
    - tests
about:
  doc_url: https://rpds.readthedocs.io
  home: https://github.com/crate-py/rpds
  license: MIT
  license_file:
    - LICENSE
    - THIRDPARTY.yml
  summary: Python bindings to Rust's persistent data structures (rpds)
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: azure_20240807.1.1
  recipe-maintainers:
    - bollwyvl
  remote_url: https://github.com/conda-forge/rpds-py-feedstock
  sha: 24fba379ef93d8ed1c9345a89efb881732b4d388
